AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ConfirmSignUpComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- authState
- componentHost
- framework

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new ConfirmSignUpComponent(componentFactoryResolver: ComponentFactoryResolver): ConfirmSignUpComponent

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:41

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns ConfirmSignUpComponent

## Properties

### authState

authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:40

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:41

### framework

framework: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:39

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:51

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:49

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.factory.ts:45

  #### Returns void